Skip to main content
GET
/
checkouts
Listar checkouts
curl --request GET \
  --url https://api.speedsellx.io/seller/v1/checkouts
{
  "data": [
    {
      "id": 3539,
      "product_id": 3257,
      "name": "Checkout Principal",
      "template": null,
      "checkout_theme_id": 1,
      "status": "published",
      "branding": {
        "dark_mode": true,
        "primary_color": "#0B6BFF",
        "secondary_color": null,
        "header_bg_color": null,
        "header_text_color": null,
        "logo": null,
        "top_banner": null,
        "top_2_banner": null,
        "sidebar_banner": null,
        "footer_banner": null
      },
      "created_at": "2026-06-01T10:00:00-03:00",
      "updated_at": "2026-06-01T10:05:00-03:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 100,
    "total": 1,
    "last_page": 1
  }
}
Requer o escopo checkouts:read. O parâmetro product_id é obrigatório. Filtre ainda por status e search.
{
  "data": [
    {
      "id": 3539,
      "product_id": 3257,
      "name": "Checkout Principal",
      "template": null,
      "checkout_theme_id": 1,
      "status": "published",
      "branding": {
        "dark_mode": true,
        "primary_color": "#0B6BFF",
        "secondary_color": null,
        "header_bg_color": null,
        "header_text_color": null,
        "logo": null,
        "top_banner": null,
        "top_2_banner": null,
        "sidebar_banner": null,
        "footer_banner": null
      },
      "created_at": "2026-06-01T10:00:00-03:00",
      "updated_at": "2026-06-01T10:05:00-03:00"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 100,
    "total": 1,
    "last_page": 1
  }
}

Query Parameters

product_id
integer
required
Required range: x >= 1
page
integer
Required range: x >= 1
per_page
integer
Required range: 1 <= x <= 100
Maximum string length: 255
status
string
Maximum string length: 50

Response

data
CheckoutResource · object[]
required